import express, { Request, Response } from "express";
import { executeQuery, getAllTableMeta, getTableMetaByTablename } from "../../../controller/admin/club/queryBuilderController";

var router = express.Router({ mergeParams: true });

router.get("/tables", async (req: Request, res: Response) => {
  await getAllTableMeta(req, res);
});

router.get("/table/:tablename", async (req: Request, res: Response) => {
  await getTableMetaByTablename(req, res);
});

router.post("/query", async (req: Request, res: Response) => {
  await executeQuery(req, res);
});

export default router;
